Subject: bug#49599: REPORT error BAD CONS CELL

From: <[email-masked]>
Date: Sat, 17 Jul 2021 11:00:56 -0600

Well Gentlemen, this has turned out to be an interesting issue.

The error message comes from my code, which processes and displays keymap
information.  I wrote the part of the code that raised the error message
at
least 20 years ago and had forgotten about it.  Today, I extended the
message
to identify where it comes from.

The display code has been used many thousands of times, displaying many
keymaps, in Emacs versions dating back possibly as far as 18.59.  The code
has
been in use constantly since that time.  As suggested by what has
happened,
this is the first time that a problem has been flagged in normal use.

The format of Emacs' keymaps has been extended considerably in recent
years,
and the global-map element in question:
(tab-bar menu-item "tab bar" ignore :filter tab-bar-make-keymap)
is different enough to have caused the message.  Overall, this issue is an
example of how changing Emacs specifications can cause downstream, i.e.,
user,
problems.

I apologise for the bug report, there is no bug.  However, interesting
issues
have been raised, which I hope I have explained well enough to give cause
for
thought.

dajo

On Sat, 17 Jul 2021 09:23:50 +0300, Eli Zaretskii <[email-masked]> wrote:
>> Date: Fri, 16 Jul 2021 17:15:33 -0600
>> From: <[email-masked]>
>> 
>> Apparently the global-map has a couple of bad cons cells in it.  I got
>> the
>> following message when I was processing the map.  After that are a few
>> entries
>> from the map itself.
>> 
>> REPORT error BAD CONS CELL (menu-item tab bar ignore :filter
>> tab-bar-make-keymap)
>> (please work out how you did it if you can) press any key to continue.
>> 
>> ..
>> (mouse-4 . mwheel-scroll)
>> (XF86WakeUp . ignore)
>> (tool-bar menu-item tool bar ignore :filter tool-bar-make-keymap)
>> (tab-bar menu-item tab bar ignore :filter tab-bar-make-keymap)
>> (C-f10 . buffer-menu-open)
>> (f10 . menu-bar-open)
>> ..
> 
> Please show the code which triggers this message.
> 
> Thanks.